xine-lib: vdec_hw_h264_frame_info_s Struct Reference

xine-lib 1.2.12

Data Fields
vdec_hw_h264_frame_info_s Struct Reference

`#include <vdec_hw_h264.h>`

## Data Fields
const uint8_t *const * | slices_bitstream
const uint32_t * | slices_bytes
uint32_t | slice_count
int32_t | field_order_cnt [2]
int | is_reference
uint16_t | frame_num
uint8_t | field_pic_flag
uint8_t | bottom_field_flag
uint8_t | num_ref_frames
uint8_t | gaps_in_frame_num_value_allowed_flag
uint8_t | mb_adaptive_frame_field_flag
uint8_t | constrained_intra_pred_flag
uint8_t | weighted_pred_flag
uint8_t | weighted_bipred_idc
uint8_t | frame_mbs_only_flag
uint8_t | transform_8x8_mode_flag
uint8_t | chroma_format_idc
uint8_t | separate_colour_plane_flag
uint8_t | bit_depth_luma_minus8
uint8_t | bit_depth_chroma_minus8
int8_t | chroma_qp_index_offset
int8_t | second_chroma_qp_index_offset
int8_t | pic_init_qp_minus26
int8_t | pic_init_qs_minus26
uint8_t | num_ref_idx_l0_active_minus1
uint8_t | num_ref_idx_l1_active_minus1
uint8_t | log2_max_frame_num_minus4
uint8_t | pic_order_cnt_type
uint8_t | log2_max_pic_order_cnt_lsb_minus4
uint8_t | delta_pic_order_always_zero_flag
uint8_t | direct_8x8_inference_flag
uint8_t | entropy_coding_mode_flag
uint8_t | pic_order_present_flag
uint8_t | deblocking_filter_control_present_flag
uint8_t | redundant_pic_cnt_present_flag
uint8_t | num_slice_groups_minus1
uint8_t | slice_group_map_type
uint8_t | scaling_lists_4x4 [6][16]
uint8_t | scaling_lists_8x8 [2][64]
vdec_hw_h264_info_ref_frame_t | referenceFrames [16]

## Field Documentation

## ◆ bit_depth_chroma_minus8

uint8_t vdec_hw_h264_frame_info_s::bit_depth_chroma_minus8

## ◆ bit_depth_luma_minus8

uint8_t vdec_hw_h264_frame_info_s::bit_depth_luma_minus8

## ◆ bottom_field_flag

uint8_t vdec_hw_h264_frame_info_s::bottom_field_flag

Referenced by vdpau_h264_alter_frame_render().

## ◆ chroma_format_idc

uint8_t vdec_hw_h264_frame_info_s::chroma_format_idc

## ◆ chroma_qp_index_offset

int8_t vdec_hw_h264_frame_info_s::chroma_qp_index_offset

Referenced by vdpau_h264_alter_frame_render().

## ◆ constrained_intra_pred_flag

uint8_t vdec_hw_h264_frame_info_s::constrained_intra_pred_flag

Referenced by vdpau_h264_alter_frame_render().

## ◆ deblocking_filter_control_present_flag

uint8_t vdec_hw_h264_frame_info_s::deblocking_filter_control_present_flag

Referenced by vdpau_h264_alter_frame_render().

## ◆ delta_pic_order_always_zero_flag

uint8_t vdec_hw_h264_frame_info_s::delta_pic_order_always_zero_flag

Referenced by vdpau_h264_alter_frame_render().

## ◆ direct_8x8_inference_flag

uint8_t vdec_hw_h264_frame_info_s::direct_8x8_inference_flag

Referenced by vdpau_h264_alter_frame_render().

## ◆ entropy_coding_mode_flag

uint8_t vdec_hw_h264_frame_info_s::entropy_coding_mode_flag

Referenced by vdpau_h264_alter_frame_render().

## ◆ field_order_cnt

int32_t vdec_hw_h264_frame_info_s::field_order_cnt[2]

Referenced by vdpau_h264_alter_frame_render().

## ◆ field_pic_flag

uint8_t vdec_hw_h264_frame_info_s::field_pic_flag

Referenced by vdpau_h264_alter_frame_render().

## ◆ frame_mbs_only_flag

uint8_t vdec_hw_h264_frame_info_s::frame_mbs_only_flag

Referenced by vdpau_h264_alter_frame_render().

## ◆ frame_num

uint16_t vdec_hw_h264_frame_info_s::frame_num

Referenced by vdpau_h264_alter_frame_render().

## ◆ gaps_in_frame_num_value_allowed_flag

uint8_t vdec_hw_h264_frame_info_s::gaps_in_frame_num_value_allowed_flag

## ◆ is_reference

int vdec_hw_h264_frame_info_s::is_reference

Referenced by vdpau_h264_alter_frame_render().

## ◆ log2_max_frame_num_minus4

uint8_t vdec_hw_h264_frame_info_s::log2_max_frame_num_minus4

Referenced by vdpau_h264_alter_frame_render().

## ◆ log2_max_pic_order_cnt_lsb_minus4

uint8_t vdec_hw_h264_frame_info_s::log2_max_pic_order_cnt_lsb_minus4

Referenced by vdpau_h264_alter_frame_render().

## ◆ mb_adaptive_frame_field_flag

uint8_t vdec_hw_h264_frame_info_s::mb_adaptive_frame_field_flag

Referenced by vdpau_h264_alter_frame_render().

## ◆ num_ref_frames

uint8_t vdec_hw_h264_frame_info_s::num_ref_frames

Referenced by vdpau_h264_alter_frame_render().

## ◆ num_ref_idx_l0_active_minus1

uint8_t vdec_hw_h264_frame_info_s::num_ref_idx_l0_active_minus1

Referenced by vdpau_h264_alter_frame_render().

## ◆ num_ref_idx_l1_active_minus1

uint8_t vdec_hw_h264_frame_info_s::num_ref_idx_l1_active_minus1

Referenced by vdpau_h264_alter_frame_render().

## ◆ num_slice_groups_minus1

uint8_t vdec_hw_h264_frame_info_s::num_slice_groups_minus1

## ◆ pic_init_qp_minus26

int8_t vdec_hw_h264_frame_info_s::pic_init_qp_minus26

Referenced by vdpau_h264_alter_frame_render().

## ◆ pic_init_qs_minus26

int8_t vdec_hw_h264_frame_info_s::pic_init_qs_minus26

## ◆ pic_order_cnt_type

uint8_t vdec_hw_h264_frame_info_s::pic_order_cnt_type

Referenced by vdpau_h264_alter_frame_render().

## ◆ pic_order_present_flag

uint8_t vdec_hw_h264_frame_info_s::pic_order_present_flag

Referenced by vdpau_h264_alter_frame_render().

## ◆ redundant_pic_cnt_present_flag

uint8_t vdec_hw_h264_frame_info_s::redundant_pic_cnt_present_flag

Referenced by vdpau_h264_alter_frame_render().

## ◆ referenceFrames

vdec_hw_h264_info_ref_frame_t vdec_hw_h264_frame_info_s::referenceFrames[16]

Referenced by vdpau_h264_alter_frame_render().

## ◆ scaling_lists_4x4

uint8_t vdec_hw_h264_frame_info_s::scaling_lists_4x4[6][16]

Referenced by vdpau_h264_alter_frame_render().

## ◆ scaling_lists_8x8

uint8_t vdec_hw_h264_frame_info_s::scaling_lists_8x8[2][64]

Referenced by vdpau_h264_alter_frame_render().

## ◆ second_chroma_qp_index_offset

int8_t vdec_hw_h264_frame_info_s::second_chroma_qp_index_offset

Referenced by vdpau_h264_alter_frame_render().

## ◆ separate_colour_plane_flag

uint8_t vdec_hw_h264_frame_info_s::separate_colour_plane_flag

## ◆ slice_count

uint32_t vdec_hw_h264_frame_info_s::slice_count

Referenced by vdpau_h264_alter_frame_render().

## ◆ slice_group_map_type

uint8_t vdec_hw_h264_frame_info_s::slice_group_map_type

## ◆ slices_bitstream

const uint8_t* const* vdec_hw_h264_frame_info_s::slices_bitstream

Referenced by vdpau_h264_alter_frame_render().

## ◆ slices_bytes

const uint32_t* vdec_hw_h264_frame_info_s::slices_bytes

Referenced by vdpau_h264_alter_frame_render().

## ◆ transform_8x8_mode_flag

uint8_t vdec_hw_h264_frame_info_s::transform_8x8_mode_flag

Referenced by vdpau_h264_alter_frame_render().

## ◆ weighted_bipred_idc

uint8_t vdec_hw_h264_frame_info_s::weighted_bipred_idc

Referenced by vdpau_h264_alter_frame_render().

## ◆ weighted_pred_flag

uint8_t vdec_hw_h264_frame_info_s::weighted_pred_flag

Referenced by vdpau_h264_alter_frame_render().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_dec/libvdpau/vdec_hw_h264.h